Question

Red5 installation on Ubuntu 14.04 returns error

I’m trying to setup a rtmp server using Red5 on my Ubuntu 14.04 droplet. However, when trying to install and run it I get an error. Looking like this: E: Sub-process /usr/bin/dpkg returned an error code (1)

Red5’s error log is emtpy and the other Red5 log doesn’t contain any errors.

How do I solve this or can I create a rtmp server for livestreaming any other way? Just comment if I should provide any other info.

Subscribe
Share

Thanks, I’ll try it if the tarball version doesn’t work. I got this link (https://github.com/Red5/red5-server/releases) from the creator who tells me to install it.

Can anyone of you please give me instructions on how to do it? If I learn once I won’t have to bother anyone else later on.

@9focuspoints - try a simulation load to see if there is any output that might indicate a problem for your server. Something like:

apt-get -s install red5-server

Look for any complaint about unfilled or incompatible dependency.

The last row says: 2016-01-26 19:26:51 status half-configured red5-server:all 1.0~svn4374-3

I’m not sure, it’s better to let you read it. I can post it here if there’s no personal or specific server related info in it, are there?

Anything reported in /var/log/dpkg.log?


Submit an answer
You can type!ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

This question was answered by @gndo:

@9focuspoints - try a simulation load to see if there is any output that might indicate a problem for your server. Something like:

apt-get -s install red5-server

Look for any complaint about unfilled or incompatible dependency.

View the original comment